Bug 1282710 - Tier: Hard link created during file promotion is lost once the migration is complete
Tier: Hard link created during file promotion is lost once the migration is c...
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nithya Balachandran
bugs@gluster.org
:
Depends On: 1305277 1311836
Blocks: 1285730
  Show dependency treegraph
 
Reported: 2015-11-17 03:28 EST by Nithya Balachandran
Modified: 2016-02-25 02:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1285730 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nithya Balachandran 2015-11-17 03:28:21 EST
Description of problem:

A hard link created when a file is being promoted will be lost once the file migration is complete.

Version-Release number of selected component (if applicable):


How reproducible:

Consistently

Steps to Reproduce:
1. Create a tier volume and FUSE mount it.
2. Create a large file FILE1 so it will take some time to migrate. This is created on the hot tier by default
3. After FILE1 is demoted, append some data to it to trigger file promotion
4. While FILE1 is being promoted, create a hardlink hlink to FILE1 in some other directory


Actual results:
Once FILE1 has been migrated, hlink no longer exists

Expected results:
Once FILE1 has been migrated, hlink should still exist

Additional info:
Comment 1 Vijay Bellur 2015-11-17 10:03:56 EST
REVIEW: http://review.gluster.org/12600 (WIP cluster/tier : hardlink creation fails) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)
Comment 2 Nithya Balachandran 2016-02-08 01:06:00 EST
This has been fixed with the fix for 1305277 (http://review.gluster.org/#/c/13391/)

Note You need to log in before you can comment on or make changes to this bug.